Package org.apache.maven.scm.provider.accurev.command.export

## Class AccuRevExportCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.provider.accurev.command.AbstractAccuRevCommand
    - - org.apache.maven.scm.provider.accurev.command.AbstractAccuRevExtractSourceCommand
      - - org.apache.maven.scm.provider.accurev.command.export.AccuRevExportCommand

All Implemented Interfaces:
  `Command`

    public class AccuRevExportCommand
    extends AbstractAccuRevExtractSourceCommand

### Field Summary

### Fields inherited from interface org.apache.maven.scm.command.Command

`ROLE`

### Constructor Summary

Constructors
`AccuRevExportCommand​(ScmLogger logger)`

### Method Summary

All Methods Instance Methods Concrete Methods
`ExportScmResult` `export​(ScmProviderRepository repository, ScmFileSet scmFileSet, CommandParameters params)`
`protected java.util.List<java.io.File>` `extractSource​(AccuRevScmProviderRepository repository, java.io.File basedir, AccuRevVersion version)`
`protected ScmResult` `getScmResult​(AccuRevScmProviderRepository repository, java.util.List<ScmFile> scmFiles, ScmVersion scmVersion)`

### Methods inherited from class org.apache.maven.scm.provider.accurev.command.AbstractAccuRevExtractSourceCommand

`executeAccurevCommand`

### Methods inherited from class org.apache.maven.scm.provider.accurev.command.AbstractAccuRevCommand

`executeCommand, getScmFiles`

### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

`execute, getLogger, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AccuRevExportCommand

    public AccuRevExportCommand​(ScmLogger logger)

### Method Detail

#### export

    public ExportScmResult export​(ScmProviderRepository repository,
                                  ScmFileSet scmFileSet,
                                  CommandParameters params)
                           throws ScmException

Throws:
  `ScmException`

#### extractSource

    protected java.util.List<java.io.File> extractSource​(AccuRevScmProviderRepository repository,
                                                         java.io.File basedir,
                                                         AccuRevVersion version)
                                                  throws AccuRevException

Specified by:
  `extractSource` in class `AbstractAccuRevExtractSourceCommand`
Throws:
  `AccuRevException`

#### getScmResult

    protected ScmResult getScmResult​(AccuRevScmProviderRepository repository,
                                     java.util.List<ScmFile> scmFiles,
                                     ScmVersion scmVersion)

Specified by:
  `getScmResult` in class `AbstractAccuRevExtractSourceCommand`